# Draw
TKDraw
DrawTrSurf

# DrawTrSurf_Curve2d Class Reference

This class defines a drawable curve in 2d space.
The curve is drawned in the plane XOY.
.

`#include <DrawTrSurf_Curve2d.hxx>`

Inheritance diagram for DrawTrSurf_Curve2d:

[legend]

## Public Member Functions

Standard_EXPORT | DrawTrSurf_Curve2d (const Handle(Geom2d_Curve)&C, const Standard_Boolean DispOrigin=Standard_True)
| creates a drawable curve from a curve of package Geom2d.
Standard_EXPORT | DrawTrSurf_Curve2d (const Handle(Geom2d_Curve)&C, const Draw_Color &aColor, const Standard_Integer Discret, const Standard_Boolean DispOrigin=Standard_True, const Standard_Boolean DispCurvRadius=Standard_False, const Standard_Real RadiusMax=1.0e3, const Standard_Real RatioOfRadius=0.1)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| this is defined only to tell C++ not to complain about inheriting a pure virtual method.
Handle_Geom2d_Curve | GetCurve () const
void | SetColor (const Draw_Color &aColor)
void | ShowCurvature ()
void | ClearCurvature ()
void | SetRadiusMax (const Standard_Real Radius)
void | SetRadiusRatio (const Standard_Real Ratio)
Draw_Color | Color () const
Standard_Real | RadiusMax () const
Standard_Real | RadiusRatio () const
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT Standard_Boolean | Is3D () const
| Returns False. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Handle_Geom2d_Curve | curv
Draw_Color | look
Standard_Boolean | disporigin
Standard_Boolean | dispcurvradius
Standard_Real | radiusmax
Standard_Real | radiusratio

## Constructor & Destructor Documentation

Standard_EXPORT DrawTrSurf_Curve2d::DrawTrSurf_Curve2d | ( | const Handle(Geom2d_Curve)& | C,
|  | const Standard_Boolean | DispOrigin = `Standard_True`
| ) |

Standard_EXPORT DrawTrSurf_Curve2d::DrawTrSurf_Curve2d | ( | const Handle(Geom2d_Curve)& | C,
|  | const Draw_Color & | aColor,
|  | const Standard_Integer | Discret,
|  | const Standard_Boolean | DispOrigin = `Standard_True`,
|  | const Standard_Boolean | DispCurvRadius = `Standard_False`,
|  | const Standard_Real | RadiusMax = `1.0e3`,
|  | const Standard_Real | RatioOfRadius = `0.1`
| ) |

## Member Function Documentation

void DrawTrSurf_Curve2d::ClearCurvature | ( |  | ) | `[inline]`

Draw_Color DrawTrSurf_Curve2d::Color | ( |  | ) | const`[inline]`

virtual Standard_EXPORT Handle_Draw_Drawable3D DrawTrSurf_Curve2d::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D. Reimplemented in DrawTrSurf_BezierCurve2d, and DrawTrSurf_BSplineCurve2d.

Standard_EXPORT void DrawTrSurf_Curve2d::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements DrawTrSurf_Drawable. Reimplemented in DrawTrSurf_BezierCurve2d, DrawTrSurf_BSplineCurve2d, and TestTopOpeDraw_DrawableC2D.

virtual Standard_EXPORT void DrawTrSurf_Curve2d::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D. Reimplemented in DrawFairCurve_Batten.

Handle_Geom2d_Curve DrawTrSurf_Curve2d::GetCurve | ( |  | ) | const

Standard_EXPORT const DrawTrSurf_Curve2d::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from DrawTrSurf_Drawable. Reimplemented in DrawFairCurve_Batten, DrawFairCurve_MinimalVariation, DrawTrSurf_BezierCurve2d, DrawTrSurf_BSplineCurve2d, and TestTopOpeDraw_DrawableC2D.

virtual Standard_EXPORT Standard_Boolean DrawTrSurf_Curve2d::Is3D | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_Real DrawTrSurf_Curve2d::RadiusMax | ( |  | ) | const`[inline]`

Standard_Real DrawTrSurf_Curve2d::RadiusRatio | ( |  | ) | const`[inline]`

void DrawTrSurf_Curve2d::SetColor | ( | const Draw_Color & | aColor | ) | `[inline]`

void DrawTrSurf_Curve2d::SetRadiusMax | ( | const Standard_Real | Radius | ) | `[inline]`

void DrawTrSurf_Curve2d::SetRadiusRatio | ( | const Standard_Real | Ratio | ) | `[inline]`

void DrawTrSurf_Curve2d::ShowCurvature | ( |  | ) | `[inline]`

virtual Standard_EXPORT void DrawTrSurf_Curve2d::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D. Reimplemented in TestTopOpeDraw_DrawableC2D.

## Field Documentation

Handle_Geom2d_Curve DrawTrSurf_Curve2d::curv `[protected]`

Standard_Boolean DrawTrSurf_Curve2d::dispcurvradius `[protected]`

Standard_Boolean DrawTrSurf_Curve2d::disporigin `[protected]`

Draw_Color DrawTrSurf_Curve2d::look `[protected]`

Standard_Real DrawTrSurf_Curve2d::radiusmax `[protected]`

Standard_Real DrawTrSurf_Curve2d::radiusratio `[protected]`

The documentation for this class was generated from the following files:

- DrawTrSurf_Curve2d.hxx
- DrawTrSurf_Curve2d.lxx